Bug 1083148 - Postgres Plugin - Compatibility Group With Postgres Users Errors On Configuration Change
Summary: Postgres Plugin - Compatibility Group With Postgres Users Errors On Configura...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.2.2
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1082792
TreeView+ depends on / blocked
 
Reported: 2014-04-01 14:40 UTC by Matt Mahoney
Modified: 2014-07-29 00:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 00:17:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Mahoney 2014-04-01 14:40:49 UTC
Description of problem:
After creating a Compatibility Group with Postgres Plogin Users, attempting to modify the configuration fails with the following Status message:

  "The following Resources failed to update their Configurations: [Resource[id=1015...
  Click the status icon for full details
  View Member History for status of each individual resource 
  Version-Release number of selected component (if applicable):"


How reproducible:
Always

Steps to Reproduce:
1. Create a new Compatibility Group, with the following settings
  Category = Service
  Type = Postgres Plugin.Postgres Server.User
  Select two or more Users from list, and then click Save
2. Once new group is created, drill into the new group, and navigate to
   Configuration.Current
  Make a change to the configuration, such as changing the User Limitation Count, and then click Save
3. Once saved, click the History button, and then monitory the Status to determine whether the configuration save was successful or failed.

Actual results:
Changing the configuration of the for-mentioned compatibility group fails. 

Expected results:
Changing the configuration should succeed.

Additional info:

Comment 1 Thomas Segismont 2014-05-15 12:29:56 UTC
Fixed in master and tested on Pg 9.2 and 9.1

commit 2402f436977bed77c169c867be9e0303ec55ed7f
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu May 15 14:26:43 2014 +0200

    Changed resource key format and implemented resource upgrade facet
    Fixed resource deletion
    Fixed user rename
    Implemented update of "can update system catalog" resource config property
    Updated plugin descriptor (added comments on superuser)

Comment 2 Thomas Segismont 2014-05-15 12:36:23 UTC
Cherry-picked over to release/jon3.2.x

commit 25c61f342350a057c99b98d4e98444ddea2a6bb1
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu May 15 14:26:43 2014 +0200
    
(cherry picked from commit 2402f436977bed77c169c867be9e0303ec55ed7f)

Comment 3 Simeon Pinder 2014-05-22 15:15:41 UTC
Via product triage, determined that this bug is to be included for DR01 target milestone.

Comment 4 Simeon Pinder 2014-05-30 02:43:39 UTC
Moving to ON_QA as available for test in latest cumulative patch build(DR01):
http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.2.GA/5-29-2014/

Comment 5 Larry O'Leary 2014-07-29 00:17:22 UTC
This has been verified and released in Red Hat JBoss Operations Network 3.2 Update 02 (3.2.2) available from the Red Hat Customer Portal[1].



[1]: https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=31783


Note You need to log in before you can comment on or make changes to this bug.